Results 1 to 3 of 3

Thread: Kali linux 2018.1 Vmware 12 error "A compatible version of gcc was not found."

  1. #1

    Kali linux 2018.1 Vmware 12 error "A compatible version of gcc was not found."

    Hi!

    I'm using latest version of Kali and I've installed VMware Workstation 12.5.6
    I've got this error when I try to open vmware:
    A compatible version of gcc was not found
    GNU C Compiler (gcc) version 7.3.0 was not found.

    Kali has installed gcc 7 and latest gcc 8. I don't know why vmware don't recognize it
    Please help.

    Screenshot from 2018-04-29 17-39-09.jpg

  2. #2
    Join Date
    2016-Dec
    Posts
    421
    If you're installing v12, you may as well install the latest, 12.5.7.

    You'll need to install gcc-7 and maybe change defaults to gcc-7 (should be something like update-alternative, check debian docs on that).

    On top of it, you'll need to find patches because some drivers on v12 don't compile on latest kernels.

    To sum it it, install VMware 14.

  3. #3
    Join Date
    2018-Oct
    Posts
    1
    i have installed vmware workstation pro 15 version. same error i am getting please help me how to install

    A compatible version of gcc was not found
    GNU C Compiler (gcc) version 7.3.0 was not found.

Similar Threads

  1. VMware ESXi 6.5 Guest OS Version for Kali rolling 2018.1
    By adahug in forum Installing Kali Linux
    Replies: 2
    Last Post: 2018-04-12, 17:23
  2. Problem with downloading kali linux weekly version 2018.1
    By noammiz007 in forum Installing Archive
    Replies: 4
    Last Post: 2018-01-05, 12:31
  3. Replies: 2
    Last Post: 2016-09-27, 11:53

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •